Subject: [PATCH v3] ARM: davinci: aemif: get rid of davinci-nand driver dependency on aemif

From: [email-masked] (Sekhar Nori)
Date: Fri, 10 Jan 2014 12:45:00 +0530

On Thursday 09 January 2014 10:03 PM, Brian Norris wrote:
> On Thu, Jan 09, 2014 at 04:09:00PM +0530, Sekhar Nori wrote:
>> On Thursday 26 December 2013 05:36 PM, ivan.khoronzhuk wrote:
>>> On 12/18/2013 02:13 PM, Sekhar Nori wrote:
>>>> On Wednesday 18 December 2013 05:21 PM, ivan.khoronzhuk wrote:
>>>>> Hi, Sekhar
>>>>>
>>>>> This patch is based on "Reuse davinci-nand driver for Keystone arch"
>>>>> series.
>>>>> The series has passed review at https://lkml.org/lkml/2013/12/17/241
>>>>> and can be found at http://git.infradead.org/l2-mtd.git
>>>>>
>>>>> This patch can be still applied on top of the series without conflicts.
>>>>>
>>>>> Can you please pick up the $subject patch if you are OK with it?
>>>>
>>>> I have no problems with the patch and can pick it too, but need ack from
>>>> MTD maintainer (David) as it touches drivers/mtd/ too.
>>>>
>>>> David,
>>>>
>>>> If you do not have the patch, we can resend it.
>>>>
>>>> Thanks,
>>>> Sekhar
>>>>
>>>
>>> Hi Brian,
>>>
>>> Do you agree if this patch will go through Davinci tree?
>>>
>>> This is the last one we need to reuse Davinci Nand driver for Keystone.
>>
>> Since we never got an ack from MTD folks, I am going and go ahead and
>> try pushing this through ARM-SoC regardless. I will CC the MTD
>> maintainers on the pull request so any objections could even be posted
>> there.
> 
> Sorry, I've been a little busy / out for vacation. The MTD parts look OK
> to me. Feel free to take it in your tree.
> 
> Acked-by: Brian Norris <[email-masked]>

Actually the NAND portion conflicts with some of the changes from Ivan
you took recently. I think it will be better if you take this patch too
with my ack. For me to take it through ARM-SoC, I need an immutable
branch from you - with commits same as what you will eventually be
sending to Linus, based on which I can send a pull request.

In any case, there is a v4 needed to fix a build and checkpatch error I
just noticed. I will send it out soon.

Thanks,
Sekhar